#!/bin/bash

version=$(awk '/currVersion = / { sub(/[^"]*"/,"") ; sub(/".*$/,""); print $0 } ' build.gradle)
echo version extract from build.gradle '-->' $version
if [ $# -gt 0 ]; then
  time=$1
else
  time=$(date "+%Y-%m-%d")
fi
echo time is $time

cd ./docker/
awk ' {gsub(/version=\".*\"/,"version=\"'$version'\""); print $0;  } ' AgentDockerfile >AgentDockerfile.2
awk ' {gsub(/release-date=\".*\"/,"release-date=\"'$time'\""); print $0;  } ' AgentDockerfile.2 >AgentDockerfile
rm AgentDockerfile.2

awk ' {gsub(/version=\".*\"/,"version=\"'$version'\""); print $0;  } ' ClusterDockerfile >ClusterDockerfile.2
awk ' {gsub(/release-date=\".*\"/,"release-date=\"'$time'\""); print $0;  } ' ClusterDockerfile.2 >ClusterDockerfile
rm ClusterDockerfile.2